#!/bin/sh
#   Copyright (c) 2012 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   netinfo.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   netinfo.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# source common functions
. ./errlib.sh
. ./jsonlib.sh

CFGDIR="/etc/default"
LOCALECFG="$CFGDIR/locale"

# update this list when more locales become available
print_supported_locales() {
    echo -n " { \"locale\": \"de_DE\", \"language\": \"Deutsch\" }, "
    echo -n " { \"locale\": \"fr_CH\", \"language\": \"Français\" } "
}

DSS11_LOCALE=
DSS11_LANGUAGE=

if [[ -f $LOCALECFG ]]; then
    . $LOCALECFG
fi

# default and minimum supported locale is de_DE
if [[ -z $DSS11_LOCALE ]]; then
    DSS11_LOCALE="de_DE"
    DSS11_LANGUAGE="Deutsch"
fi

echo "Content-Type: application/json"
echo ""



echo -n "{ \"success\": true, \"code\": $ERR_OK, \"message\": \"OK\", "
echo -n "\"data\": { \"locale\": \"$DSS11_LOCALE\", "
echo -n "\"language\": \"$DSS11_LANGUAGE\", \"supported\": [ "
print_supported_locales
echo "] } }"
