#!/bin/sh
#   Copyright (c) 2012 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   netinfo.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   netinfo.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# source common functions
. ./errlib.sh
. ./jsonlib.sh

CFGDIR="/etc/default"
LOCALECFG="$CFGDIR/locale"

restart_dsa() {
    if [[  -f "/etc/runit/dsa/supervise/stat" ]]; then
        if [[ "`cat /etc/runit/dsa/supervise/stat`" == "run" ]]; then
            sv restart dsa > /dev/null 2>&1
        fi
    fi
}

echo "Content-Type: application/json"
echo ""

if [[ ! -d "$CFGDIR" ]]; then
    mkdir -p $CFGDIR
fi

# "$FORM_locale"

# update this when more locale become available
case "$1" in
    de_DE)
        echo "DSS11_LOCALE=de_DE" > $LOCALECFG
        echo "DSS11_LANGUAGE=Deutsch" >> $LOCALECFG
        restart_dsa
        ;;
    fr_CH)
        echo "DSS11_LOCALE=fr_CH" > $LOCALECFG
        echo "DSS11_LANGUAGE=Français" >> $LOCALECFG
        restart_dsa
        ;;
    *)
        json_error $ERR_LOCALE "Will not set invalid or unsupported locale!"
        exit 1
        ;;
esac

json_ok
